.service-block{
    padding-top: 84px;
    padding-bottom: 84px;
    height: 100vh;
    .flexy{
        display: flex;
        flex-wrap: nowrap;
        justify-content: space-between;
        vertical-align: bottom;
        align-items: center;
        height: calc(100% - 40px);
        vertical-align: bottom;

        .service-card{
            height: 73%;
            position: relative;
            display: block;
            width: calc((100% - 90px) / 4);
            transition-duration: 0.3s;

            img{
                object-fit: cover;
                height: 84%;
                width: 100%;
            }
            .title{
                position: absolute;
                height: 25%;
                top: calc(84% - 16%);
                width: 75%;
                margin: auto;
                left: 0;
                right: 0;
                .bg{
                    height: 0;
                    background-color: $textdarkgraytransparent;

                }
                h3{
                    max-height: 100%;
                    height: fit-content;
                    min-height: 100%;
                    background-color: white;
                    padding: 0 13%;
                    margin: auto;
                    display: flex;
                    align-items: center;
                    font-size: 22px;
                    font-family: $montserrat;
                    font-weight: 600;
                    color: $textdarkgray;
                    line-height: 26px;


                }
                .text{
                    max-height: 0;
                    overflow: hidden;
                    font-family: $montserrat;
                    font-weight: 500;
                    font-size: 18px;
                    line-height: 30px;
                    color: $textlightgray;
                    
                }
                

            }
            .gray-bar{
                height: 11%;
                width: 100%;
                margin-top: 5%;
                background-color: $lightgray
            }
            &:hover{
                height: 100%;
                img{
                    height: 52.5%;
                }
                .title{
                    height: 100%;
                    top: 0;
                    width: 85%;
                    z-index: 1;
                    .bg{
                        height: 52.5%;

                    }
                    h3{
                    transition: flex 0.8s ease-out;
                    min-height: 1px;
                    flex: 0;
                    padding: 20px 13%;
                    background-color: $textdarkgraytransparent;
                    }
                    .text{
                        box-sizing: border-box;
                        max-height: calc(47.5% - 60px);
                        padding: 25px 15px;
                    }
                }
                .gray-bar{
                    height: 47.5%;
                    margin-top: 0;
                    background-color: white;
                    @include box-shadow(0px 2px 5px 2px rgba(0,0,0,0.16));
                }
            }
        }
    }
}